Article ID: 4030, created on Apr 22, 2009, last review on Apr 25, 2014

  • Applies to:
  • Plesk 10.x for Windows
  • Sitebuilder 4.x for Windows
  • Virtuozzo containers for Windows 4.0

Síntomas

La instalación de la plantilla de Parallels Plesk Sitebuilder 4.x en un Contenedor devuelve el siguiente error:

C:\Documents and Settings\Administrateur>vzpkgls 101
101: windows_2003_std_r2-5.2.3790 msde dotnet2.0_frmwk_05.04.2006

C:\Documents and Settings\Administrateur>vzpkgadd 101 sitebuilder_shared-4.2.0.9
6_1.0
Adding template sitebuilder_shared-4.2.0.96_1.0 to container 101...
ERROR: Template 'sitebuilder_shared-4.2.0.96_1.0/20080302' requires ([Windows_2003] & [iis_common] & [iis_inetmgr] & [iis_www] & ([msde] | [mssqlserver]) & [dotnet2.0_frmwk])
ERROR: Template 'sitebuilder_shared-4.2.0.96_1.0/20080302' dependencies not satisfied in container 101

Causa

La causa del problema es una plantilla dotnet obsoleta 05.04.2006. Esta no incluye ningún xml. En estos casos, Parallels Virtuozzo Containers crea el xml basándose en el nombre del archivo efd de la plantilla.

Así, tenemos:

<?xml version="1.0" encoding="UTF-8"?>
<template>
        <type>app</type>
        <name>dotnet2.0_frmwk_05.04.2006</name>
        <description>Application template (dotnet2.0_frmwk_05.04.2006)
</description>
</template>


Este es el motivo por el que no podemos satisfacer las dependencias.

Resolución

Use la plantilla dotnet 3.0 más reciente, disponible en nuestro ftp.

28d0f7cc091e3b9304fa556c03f9a940 965b49118115a610e93635d21c5694a8 d02f9caf3e11b191a38179103495106f fad6dc0c8e983c17ae70a51ac7952cd0 2a62cbceb986d1b8f45bcd3ff4cb29a5 45e8c8798afdb3e279a2f84bd498d19e a914db3fdc7a53ddcfd1b2db8f5a1b9c c796c01d6951fa24ed54c7f1111667c6 85a92ca67f2200d36506862eaa6ed6b8 56797cefb1efc9130f7c48a7d1db0f0c 2897d76d56d2010f4e3a28f864d69223

Email subscription for changes to this article
Save as PDF